Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		flashrom
#Epoch:		0
Version:	0.9.4
Release:	1
License:	GNU/GPLv2
URL:		http://www.flashrom.org/Flashrom
Group:		System/Configuration/Hardware
Summary:	utility for identifying, reading, writing, verifying and erasing flash chips
BuildRoot:	%{_tmppath}/%{name}-buildroot

# Sources:
Source:		http://download.flashrom.org/releases/%{name}-%{version}.tar.bz2

# Requires:

# BuildRequires:
BuildRequires: pciutils-devel

#Automatically resolved build dependencies
BuildRequires: libftdi-devel
BuildRequires: glibc-devel
BuildRequires: zlib-devel

%description
flashrom is a utility for identifying, reading, writing, verifying and erasing flash chips. It's often used to flash BIOS/EFI/coreboot/firmware images.

    * Supports more than 195 flash chips, 75 chipsets, 130 mainboards, and 17 devices (PCI or USB) which can be used as external programmers.
    * Supports parallel, LPC, FWH and SPI flash interfaces and various chip packages (DIP32, PLCC32, DIP8, SO8/SOIC8, TSOP32, TSOP40, TSOP48, and more)
    * No physical access needed, root access is sufficient.
    * No bootable floppy disk, bootable CD-ROM or other media needed.
    * No keyboard or monitor needed. Simply reflash remotely via SSH.
    * No instant reboot needed. Reflash your chip in a running system, verify it, be happy. The new firmware will be present next time you boot.
    * Crossflashing and hotflashing is possible as long as the flash chips are electrically and logically compatible (same protocol). Great for recovery.
    * Scriptability. Reflash a whole pool of identical machines at the same time from the command line. It is recommended to check flashrom output and error codes.
    * Speed. flashrom is often much faster than most vendor flash tools. 

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q 

%build
CC=%{__cc} make %{?_smp_mflags} PREFIX=%_prefix

%install
rm -rf $RPM_BUILD_ROOT
make %{?_smp_mflags} install DESTDIR=$RPM_BUILD_ROOT PREFIX=%_prefix

%files
%defattr(-,root,root)
%{_sbindir}/flashrom
%{_mandir}/man8/flashrom.8.gz


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 19 2011 Karsten Brockmann <arcam@ccux-linux.de> 0.9.4-1
- Version update
* Thu Feb 17 2011 Karsten Brockmann <arcam@ccux-linux.de> 0.9.3-2
- r1261 
* Thu Dec 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.3-1
- Version update 
* Wed Feb 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.1-3
- final release
* Mon Nov 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.9.1-2
- enabled ftdi support
* Fri Nov 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.9.1-1
- initial CCux package release
